Page MenuHomePhabricator

Create logos and prepare new set of pilot wikis for deployment
Closed, ResolvedPublic

Description

Background

We are expanding the set of wikis to which desktop improvements is available to by default, as per community consensus on each wiki

Acceptance criteria

  • Ensure the following list of wikis has logos

List:

projecticonwordmarktagline
arywikiin prod
frwikiquotein prodn/a
ptwikinewsin prodin prodn/a
plwikinewsin prodn/a
viwikiin prodin prodin prod
viwikibooksin prod file renamed wikibooks-wordmark.svg (see config patch)
MediaWikiin prodin prodn/a
Foundation-wikiin prodin prodn/a
Outreach-wiki file renamed outreach-wordmark.svg and fixed in config patchn/a
Collab-wikin/a
Strategy-wiki file renamed strategic-wordmark.svg (see config patch)n/a
thwikiin prodin prodin prod
Meta-wikiin prodin prodin prod

Signoff criteria

  • Create a task for the deployment of desktop improvements to this set of wikis, including state for language switching and any other experiments we plan on running

QA Results - Prod

ACStatusDetails
1T290091#7614704
2T290091#7614704
3T290091#7614704

Event Timeline

@alexhollender - ptwikinews has request a new logo. See T281591: Add wordmark on ptwikinews for details.

ovasileva renamed this task from Deploy desktop improvements to new set of pilot wikis to Create logos and deploy desktop improvements to new set of pilot wikis.Sep 9 2021, 5:16 PM

Not sure this one is quite ready for dev. @cjming - For now, can we just do the logo update and then do the deployment separately? I'll update the acceptance criteria. We need to give the wikis a quick heads up on the upcoming changes. (cc @sgrabarczuk - logos are ready!)

ovasileva renamed this task from Create logos and deploy desktop improvements to new set of pilot wikis to Create logos and prepare new set of pilot wikis for deployment.Nov 15 2021, 10:52 AM
ovasileva updated the task description. (Show Details)

can we just do the logo update and then do the deployment separately?

sure thing @ovasileva - thanks for the heads up

Change 739370 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[operations/mediawiki-config@master] Add new icons, wordmarks, taglines for several wikis:

https://gerrit.wikimedia.org/r/739370

cjming moved this task from Doing to Code Review on the Web-Team-Backlog (Kanbanana-FY-2021-22) board.
cjming added a subscriber: cjming.

Change 739370 merged by jenkins-bot:

[operations/mediawiki-config@master] Add new icons, wordmarks & taglines for several wikis

https://gerrit.wikimedia.org/r/739370

Mentioned in SAL (#wikimedia-operations) [2021-11-23T19:17:52Z] <urbanecm@deploy1002> Synchronized static/images/mobile/copyright/: bf82bfb3ddcaff04a1e90abc435ccb26f792780c: Add new icons, wordmarks & taglines for several wikis (T290091; 1/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-11-23T19:18:48Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: bf82bfb3ddcaff04a1e90abc435ccb26f792780c: Add new icons, wordmarks & taglines for several wikis (T290091; 2/2) (duration: 00m 56s)

Future deployments based on the table above should note that there’s a potential for naming conflicts that is already causing some wikis to be branded with the wrong site’s wordmark: T296501.

Change 748214 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[operations/mediawiki-config@master] Fix wordmark svgs for strategywiki, viwikibooks.

https://gerrit.wikimedia.org/r/748214

my bad - I didn't realize the same filename were different files - Outreach was corrected earlier so above patch applies correct wordmark svgs for Strategy wiki + vi.wikibooks.

Change 748214 merged by jenkins-bot:

[operations/mediawiki-config@master] Fix wordmark svgs for strategywiki, viwikibooks.

https://gerrit.wikimedia.org/r/748214

Mentioned in SAL (#wikimedia-operations) [2022-01-05T00:52:33Z] <urbanecm@deploy1002> Synchronized static/images/mobile/copyright/: 7aff17f42eb2ecad94a76c5d93ce467bd6bff39e: Fix wordmark svgs for strategywiki, viwikibooks (T290091; 1/2) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2022-01-05T00:53:52Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 7aff17f42eb2ecad94a76c5d93ce467bd6bff39e: Fix wordmark svgs for strategywiki, viwikibooks (T290091; 2/2) (duration: 01m 07s)

hi @Edtadros - I believe the only wordmarks/logos that need to be verified on prod are:

These were the ones that had the same filename for their respective wordmarks and their corrections were deployed yesterday.

Test Result - Prod

Status: ✅ PASS
Environment: see below
OS: macOS Monterey
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

Validate the logos/wordmarks for the following:

✅ AC1: Outreach wiki - https://outreach.wikimedia.org/wiki/Main_Page?useskinversion=2

ExpectedActual
AnyConv.com__en-wordmark.jpg (32×142 px, 2 KB)
AnyConv.com__outreach-icon.jpg (50×50 px, 2 KB)
Screen Shot 2022-01-11 at 2.52.09 PM.png (72×222 px, 5 KB)

✅ AC2: Strategy wiki - https://strategy.wikimedia.org/wiki/Main_Page?useskinversion=2

ExpectedActual
AnyConv.com__en-wordmark (1).jpg (28×142 px, 3 KB)
AnyConv.com__strategy-icon.jpg (50×50 px, 3 KB)
Screen Shot 2022-01-11 at 2.53.36 PM.png (78×240 px, 8 KB)

✅ AC3: Vietnamese wikibooks - https://vi.wikibooks.org/wiki/Trang_Ch%C3%ADnh?useskinversion=2

ExpectedActual
AnyConv.com__vi-tagline.jpg (10×120 px, 1 KB)
AnyConv.com__en-wordmark (2).jpg (15×120 px, 2 KB)
Screen Shot 2022-01-11 at 2.54.13 PM.png (72×222 px, 7 KB)